#! /bin/sh
# Write descriptions of abstractions into a pd and a html file
# to do : pd file

# File output
filepd="../../docs/OVERVIEW.pd" 
filehtml="../../docs/OVERVIEW.html" 

# Write into pd file
echo "#N canvas 0 0 700 600 10; #X text 50 30 Malinette abstractions :;" > $filepd
cat header.html > $filehtml

# Initialize counters to add object into the pd file
nb=0
y=0

for folder in "in" "filters" "tools" "fx-audio" "fx-video" "out"
do
	y=`expr "$y" + 40`
	echo "#X text 200 $y $description ;" >> $filepd
	echo "<h3>$folder</h3><ul>" >> $filehtml

	for file in ../../abstractions/$folder/*-help.pd
	do
		patch=$(basename $file)
		patch="${patch%%-help.pd}"
		description=$(cat $file | tr "\n" " " | sed -nr 's/.*#X text .* \\; -----* \\;(.*)/\1/p' | cut -d ";" -f1 | sed 's/\\//')
		nb=`expr "$nb" + 1`
		y=`expr "$nb" \\* 20 `
		y=`expr "$y" + 40`
		echo "#X obj 50 $y $patch ; #X text 200 $y $description ;" >> $filepd
		echo "<li><strong>$patch</strong> : $description</li>" >> $filehtml
	done
	echo "</ul>" >> $filehtml
done

echo "</body></html>" >> $filehtml
#pd-extended $filepd
firefox $filehtml
